import { ElementRef, EventEmitter, OnChanges, OnInit, Renderer2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class QRCodeComponent implements OnInit, OnChanges {
    private renderer;
    private sanitizer;
    allowEmptyString: boolean;
    colorDark: `#${string}`;
    colorLight: `#${string}`;
    cssClass: string;
    elementType: import("dfx-qrcode").QRCodeElementType;
    errorCorrectionLevel: import("dfts-qrcode").QRCodeErrorCorrectionLevel;
    version: import("dfts-qrcode").QRCodeVersion;
    size: number;
    margin: number;
    imageSrc: string | undefined;
    imageHeight?: number | undefined;
    imageWidth?: number | undefined;
    alt?: string;
    ariaLabel?: string;
    title?: string;
    data: null | undefined | string;
    qrCodeDataUrl: EventEmitter<string>;
    qrcElement: ElementRef;
    context: CanvasRenderingContext2D | null;
    constructor(renderer: Renderer2, sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnChanges(): void;
    protected isValidQrCodeText(data: string | null | undefined): boolean;
    private renderElement;
    private createQRCode;
    static ɵfac: i0.ɵɵFactoryDeclaration<QRCodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QRCodeComponent, "qrcode", never, { "allowEmptyString": { "alias": "allowEmptyString"; "required": false; }; "colorDark": { "alias": "colorDark"; "required": false; }; "colorLight": { "alias": "colorLight"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "elementType": { "alias": "elementType"; "required": false; }; "errorCorrectionLevel": { "alias": "errorCorrectionLevel"; "required": false; }; "version": { "alias": "version"; "required": false; }; "size": { "alias": "size"; "required": false; }; "margin": { "alias": "margin"; "required": false; }; "imageSrc": { "alias": "imageSrc"; "required": false; }; "imageHeight": { "alias": "imageHeight"; "required": false; }; "imageWidth": { "alias": "imageWidth"; "required": false; }; "alt": { "alias": "alt"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "title": { "alias": "title"; "required": false; }; "data": { "alias": "data"; "required": false; }; }, { "qrCodeDataUrl": "qrCodeDataUrl"; }, never, never, true, never>;
}
