import { Provider } from '@angular/core';
export declare enum QRCodeFeatureKind {
    ALLOW_EMPTY_STRING = 0,
    COLOR_DARK = 1,
    COLOR_LIGHT = 2,
    CSS_CLASS = 3,
    ELEMENT_TYPE = 4,
    ERROR_CORRECTION_LEVEL = 5,
    IMAGE = 6,
    MARGIN = 7,
    VERSION = 8,
    SIZE = 9
}
declare interface QRCodeFeature<KindT extends QRCodeFeatureKind> {
    kind: KindT;
    providers: Provider[];
}
export declare type QRCodeAllowEmptyStringFeature = QRCodeFeature<QRCodeFeatureKind.ALLOW_EMPTY_STRING>;
export declare type QRCodeColorDarkFeature = QRCodeFeature<QRCodeFeatureKind.COLOR_DARK>;
export declare type QRCodeColorLightFeature = QRCodeFeature<QRCodeFeatureKind.COLOR_LIGHT>;
export declare type QRCodeCssClassFeature = QRCodeFeature<QRCodeFeatureKind.CSS_CLASS>;
export declare type QRCodeElementTypeFeature = QRCodeFeature<QRCodeFeatureKind.ELEMENT_TYPE>;
export declare type QRCodeErrorCorrectionLevelFeature = QRCodeFeature<QRCodeFeatureKind.ERROR_CORRECTION_LEVEL>;
export declare type QRCodeImageFeature = QRCodeFeature<QRCodeFeatureKind.IMAGE>;
export declare type QRCodeMarginFeature = QRCodeFeature<QRCodeFeatureKind.MARGIN>;
export declare type QRCodeVersionFeature = QRCodeFeature<QRCodeFeatureKind.VERSION>;
export declare type QRCodeSizeFeature = QRCodeFeature<QRCodeFeatureKind.SIZE>;
export declare type QRCodeFeatures = QRCodeAllowEmptyStringFeature | QRCodeColorDarkFeature | QRCodeColorLightFeature | QRCodeCssClassFeature | QRCodeElementTypeFeature | QRCodeErrorCorrectionLevelFeature | QRCodeImageFeature | QRCodeMarginFeature | QRCodeVersionFeature | QRCodeSizeFeature;
export {};
